function [logpostr,r,accnum]=metro_aft(...
type,r,W,Y,X,p,h0,Hg,lambda,v0,v2,w,alpha0,beta0,accnum,d)

%metro_surv: Metropolis step to update r
%
%***********************************************************************
%INPUTS:
% type:  1=log-normal,2=log-t
%
%-----OUTPUT--------
% logpostr: log posterior value f(r|X,Y).
% r:        updated r
%
%NOTES:
% Called by bvsme_surv
% Functions called: logpostgam
%
%REFERENCE:
%  
%     
%Copyright (c) 2006 Naijun Sha and Marina Vannucci.
%**********************************************************************

%----compute log posterior value of model r
Xr=X(:,r);
beta0r=beta0(r);
[logpostr]=logpostgam(type,W,Xr,p,r,alpha0,h0,beta0r,Hg,lambda,v0,v2,w,d);
    
%----update variable selection index r
[rnew,prop,move]=updr(r,p);
Xrnew=X(:,rnew);
beta0rnew=beta0(rnew);

%----update log posterior of r
[logpostrnew]=logpostgam(type,W,Xrnew,p,rnew,alpha0,h0,beta0rnew,Hg,lambda,v0,v2,w,d);

ratio=prop*exp((logpostrnew-logpostr));
u=rand(1);
if u<=ratio
   r=rnew;
   accnum=accnum+1;
   logpostr=logpostrnew;
end

   
